
/* Chrysalide - Outil d'analyse de fichiers binaires
 * form.h - prototypes pour le chargement en mémoire des valeurs d'attributs
 *
 * Copyright (C) 2015 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _FORMAT_DWARF_V4_FORM_H
#define _FORMAT_DWARF_V4_FORM_H


#include "../dwarf.h"
#include "../dwarf_def.h"
#include "../../../analysis/content.h"



/* Lit la valeur correspondant à un type donné. */
bool read_dwarf_v4_form_value(const GDwarfFormat *, const dw_compil_unit_header *, DwarfForm, vmpa2t *, dw_v4_form_value *);



#endif  /* _FORMAT_DWARF_V4_FORM_H */
